> ## Documentation Index
> Fetch the complete documentation index at: https://docs.igboapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Nsịbịdị

> Returns one requested Nsịbịdị from the database



## OpenAPI

````yaml GET /nsibidi/{id}
openapi: 3.0.1
info:
  title: The Igbo API
  description: >-
    An API that enables developers to interact with African language models and
    fetch Igbo word data
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://igboapi.com/api/v2
security:
  - ApiKeyAuth: []
paths:
  /nsibidi/{id}:
    get:
      description: Returns one requested Nsịbịdị from the database
      parameters: []
      responses:
        '200':
          description: Nsịbịdị response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Nsibidi'
                type: object
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Nsibidi:
      required:
        - id
        - nsibidi
        - definitions
        - wordClass
        - pronunciation
        - radicals
      type: object
      properties:
        id:
          description: Id of word
          type: string
        nsibidi:
          description: The Nsịbịdị character the sentence
          type: string
        definitions:
          description: Definitions of the character
          type: array
          items:
            type: object
            properties:
              text:
                type: string
        wordClass:
          description: The part of speech
          type: string
        pronunciation:
          description: Text representation of character pronunciation
          type: string
        radicals:
          description: Ids to other Nsịbịdị character that are radicals
          type: array
          items:
            type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````